Bug 129724 - can`t been install mode one rpm at transaction
can`t been install mode one rpm at transaction
Product: Fedora
Classification: Fedora
Component: perl-RPM2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2004-08-12 01:10 EDT by Alex Lyashkov
Modified: 2015-12-02 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-01 21:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test script (819 bytes, application/octet-stream)
2004-08-12 01:12 EDT, Alex Lyashkov
no flags Details

  None (edit)
Description Alex Lyashkov 2004-08-12 01:10:41 EDT
Description of problem:
I tried to write simple install module and found perl-RPM2 can`t
install more one package at transaction.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start attached script.
Actual results:

Expected results:

Additional info:
at perl RPM2 added function for change transaction root.
Comment 1 Alex Lyashkov 2004-08-12 01:12:10 EDT
Created attachment 102639 [details]
test script
Comment 2 John Thacker 2006-10-29 16:59:42 EST
Changing version to correct one.  (test1 -> fc3test1, and some were filed as
test3 accidentally instead; but clearly must be fc3test1 given the date of filing.)
Comment 3 Bill Nottingham 2006-11-22 12:10:12 EST
perl-RPM2 is no longer shipped in any currently maintained Fedora releases. Closing.
Comment 4 Robin Norwood 2006-11-22 12:58:49 EST
Re-opening - there's a request to add this back into extras (bug #184530), but I
want to make sure this bug is fixed first.

Comment 5 Christian Iseli 2007-01-19 19:42:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 6 Matthew Miller 2007-04-06 11:19:49 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 7 Peter van Egdom 2007-11-18 15:12:51 EST
The information we've requested above is required in order to review this
problem report further and diagnose/fix the issue if it is still present. Since
there haven't been any updates to the report in quite a long time now after
we've requested additional information, we're assuming the problem is either no
longer present in our current OS release, or that there is no longer any
interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still experience this
problem after updating to our latest Fedora release and are still interested in
Red Hat tracking the issue, and assisting in troubleshooting the problem, please
feel free to provide the information requested above, and reopen the report.

Thank you in advance.
Comment 8 Thomas Sailer 2014-12-31 03:59:33 EST
Reopening as the bug is still there in perl-RPM2-1.0-11.fc21.x86_64
Comment 9 Fedora End Of Life 2015-11-04 09:29:16 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-01 21:30:27 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.